* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  outline: none;
}
:root {
  --bg-primary: #eff0f4;
  --bg-dark-900: #000000;
  --btn-primary: #fff;
  --btn-secondary: #000000;
  --text-dark-700: #555555;

  --outer-shadow: 3px 3px 3px #d0d0d0, -3px -3px 3px #f8f8f8;
  --outer-shadow-0: 0 0 0 #d0d0d0, 0 0 0 #f8f8f8;
  --inner-shadow: inset 3px 3px 3px #d0d0d0, inset -3px -3px 3px #f8f8f8;

  --btn-outer-shadow: 3px 3px 3px #d0d0d0, -3px -3px 3px #f8f8f8;
  --btn-outer-shadow-0: 0 0 0 #fff, 0 0 0 #fff;
  --btn-inner-shadow: inset 3px 3px 1px #ffffff, inset -3px -3px 1px #ffffff;
}
body {
  font-size: 16px;
  background-color: var(--bg-primary);
}

.container {
  max-width: 1244px;
  margin: auto;
}
.row {
  display: flex;
  flex-wrap: wrap;
}
.align-item-center {
  align-items: center;
}
.justiy-content-center {
  justify-content: center;
}

.outer-shadow {
  box-shadow: var(--outer-shadow);
}
.inner-shadow {
  box-shadow: var(--inner-shadow);
}
.hover-in-shadow {
  position: relative;
  z-index: 1;
}
.hover-in-shadow:hover {
  box-shadow: var(--outer-shadow-0);

}
.hover-in-shadow:after {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  transition: all 0.3s ease;
}
.hover-in-shadow:hover::after {
  box-shadow: var(--inner-shadow);
}

.outer-shadow-btn {
  box-shadow: var(--btn-outer-shadow);
}
.inner-shadow-btn {
  box-shadow: var(--btn-inner-shadow);
}
.hover-in-shadow-btn {
  position: relative;
  z-index: 1;
}
.hover-in-shadow-btn:hover {
  box-shadow: var(--btn-outer-shadow-0);
}
.hover-in-shadow-btn:after {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  transition: all 0.3s ease;
}
.hover-in-shadow-btn:hover::after {
  box-shadow: var(--btn-inner-shadow);
}

.main-div {
  width: 100%;
  height: 85vh;
}

.white-btn {
  color: var(--text-dark-700);
  padding-top: 258px;
  position: absolute;
  padding-bottom: 15px;
  padding-right: 20px;
  padding-left: 20px;
  background-color: var(--btn-primary);
  cursor: pointer;
  border: none;
}
.black-btn {
  color: white;
  padding-top: 160px;
  position: absolute;
  padding-bottom: 20px;
  padding-right: 15px;
  padding-left: 15px;
  background-color: var( --btn-secondary);
  cursor: pointer;
  border: none;
}


.cnote {
  z-index: 50;
  left: 366px;
  top: 143px;
}
.dnote {
  z-index: 51;
  left: 369px;
  top: 143px;
  margin-left: 56px;
}
.enote {
  z-index: 53;
  left: 373px;
  top: 143px;
  margin-left: 111px;
}
.fnote {
  z-index: 55;
  left: 374px;
  top: 144px;
  margin-left: 167px;
}
.gnote {
  z-index: 56;
  left: 376px;
  top: 144px;
  margin-left: 223px;
}
.anote {
  z-index: 58;
  left: 378px;
  top: 144px;
  margin-left: 279px;
}
.bnote {
  z-index: 60;
  left: 382px;
  top: 143px;
  margin-left: 335px;
}
.c1note {
  z-index: 62;
  left: 383px;
  top: 142px;
  margin-left: 391px;
}
.d1note {
  z-index: 63;
  left: 389px;
  top: 142px;
  margin-left: 451px;
}
.e1note {
  z-index: 65;
  left: 395px;
  top: 142px;
  margin-left: 511px;
}
.f1note {
  z-index: 67;
  left: 395px;
  top: 142px;
  margin-left: 575px;
}


.csnote {
  z-index: 52;
  left: 364px;
  top: 142px;
  margin-left: 26px;
}
.dsnote {
  z-index: 54;
  left: 364px;
  top: 143px;
  margin-left: 90px;
}
.fsnote {
  z-index: 57;
  left: 375px;
  top: 144px;
  margin-left: 190px;
}
.gsnote {
  z-index: 59;
  left: 373px;
  top: 144px;
  margin-left: 254px;
}
.bbnote {
  z-index: 61;
  left: 369px;
  top: 143px;
  margin-left: 320px;
}
.cs1note {
  z-index: 64;
  left: 386px;
  top: 142px;
  margin-left: 416px;
}
.ds1note {
  z-index: 65;
  left: 389px;
  top: 142px;
  margin-left: 482px;
}

.dsnoteEx {
  z-index: 70;
  left: 389px;
  top: 142px;
  margin-left: 548px;
}

#color-mode{
  font-size: 20px;
  font-weight: 600;
  color: var(--text-dark-700);
  padding: 5px 30px;
  text-transform: capitalize;
  border-radius: 20px;
  border: none;
  cursor: pointer;
  color: #404040;
}
#color-mode::after{
  border-radius: 20px;
  /* display: none; */
}
.main-color{
 display: flex;
 justify-content: center;
}
.copyright-text{
  position: absolute;
  font-size: 15px;
  color: var( --text-dark-600);
  transform: translateY(-50%) rotate(-90deg);
  left: -60px;
  top:50%;
}


.effect-wrap .effect{
  position: absolute;
  z-index: -1;
}
.effect-1 {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between ;
  left:3%;
  bottom: 20%;
  width: 40px;
  animation: topBounce 15s ease-in-out infinite;
}
.effect-1 div{
  width: 3px;
  height: 3px;
  background-color: #ec920a;
  border-radius: 50%;
  margin: 0px 3px 8px ;
}

.effect-2{
  width:100vw;
  height: 100vh;
}
.effect-2-box{
  position: absolute;
  top: 0%;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
}
.effect-2-box li{
  position: absolute;
  display: block;
  list-style: none;
  width: 25px;
  height: 25px;
  background-color: var( --primary);
  animation: move 15s linear infinite;
  border-radius: 50%;
  opacity: 0.4;
  bottom: -150px;
  z-index: -5;
}
.effect-2-box li:nth-child(1){
  left:5%;
  width:80px;
  height:80px;
  animation-delay:0s;
  background-color: red;
}
.effect-2-box li:nth-child(2){
  left:15%;
  width:30px;
  height:30px;
  animation-delay: 5s;
  background-color: blue;
}
.effect-2-box li:nth-child(3){
  left:50%;
  width:100px;
  height:100px;
  animation-delay: 4s;
  background-color: peru;
}
.effect-2-box li:nth-child(4){
  left:75%;
  width:50px;
  height:50px;
  animation-delay: 6s;
  background-color: olive;
}
.effect-2-box li:nth-child(5){
  left:86%;
  width:150px;
  height:150px;
  animation-delay: 1s;
  background-color: rebeccapurple;
}
.effect-2-box li:nth-child(6){
  left:30%;
  width:50px;
  height:50px;
  background-color:black;
  animation-delay: 4s;
}
  
  
@keyframes move{
  0%{
      opacity:0.4;
      transform: translateY(0) rotate(0deg) ;
  }
  100%{
      opacity:0.1;
      transform: translateY(-920px) rotate(360deg) 
  }
}

@keyframes topBounce {
  0%, 100%{
      transform: translateY(0)
  }
  25%{
      transform: translateY(-150px)
  }
  50%{
      transform: translateY(-250px)
  }
  75%{
      transform: translateY(-350px)
  }
  
}